Bug 488790 - SELinux, avc denial when running monitoring probes
SELinux, avc denial when running monitoring probes
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On: 487221
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-03-05 13:44 EST by wes hayutin
Modified: 2015-05-29 16:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 16:02:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-03-05 13:44:13 EST
Description of problem:

/var/log/audit/audit.log:type=AVC msg=audit(1236275386.550:6032): avc:  denied  { write } for  pid=940 comm="ifconfig" path="/var/lib/nocpulse/NPkernel.out/939.STDERR" dev=dm-0 ino=1831549 scontext=root:system_r:ifconfig_t:s0 tcontext=root:object_r:spacewalk_monitoring_var_lib_t:s0 tclass=file
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.558:6033): avc:  denied  { search } for  pid=939 comm="kernel.pl" name="yp" dev=dm-0 ino=1504428 scontext=root:system_r:spacewalk_monitoring_t:s0 tcontext=system_u:object_r:var_yp_t:s0 tclass=dir
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.558:6034): avc:  denied  { node_bind } for  pid=939 comm="kernel.pl" scontext=root:system_r:spacewalk_monitoring_t:s0 tcontext=system_u:object_r:inaddr_any_node_t:s0 tclass=tcp_socket
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.558:6035): avc:  denied  { name_bind } for  pid=939 comm="kernel.pl" src=725 scontext=root:system_r:spacewalk_monitoring_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.558:6036): avc:  denied  { name_connect } for  pid=939 comm="kernel.pl" dest=111 scontext=root:system_r:spacewalk_monitoring_t:s0 tcontext=system_u:object_r:portmap_port_t:s0 tclass=tcp_socket
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.558:6037): avc:  denied  { node_bind } for  pid=939 comm="kernel.pl" scontext=root:system_r:spacewalk_monitoring_t:s0 tcontext=system_u:object_r:inaddr_any_node_t:s0 tclass=tcp_socket
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.558:6038): avc:  denied  { name_bind } for  pid=939 comm="kernel.pl" src=726 scontext=root:system_r:spacewalk_monitoring_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.558:6039): avc:  denied  { name_connect } for  pid=939 comm="kernel.pl" dest=111 scontext=root:system_r:spacewalk_monitoring_t:s0 tcontext=system_u:object_r:portmap_port_t:s0 tclass=tcp_socket
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.566:6040): avc:  denied  { write } for  pid=941 comm="ifconfig" path="/var/lib/nocpulse/NPkernel.out/939.STDERR" dev=dm-0 ino=1831549 scontext=root:system_r:ifconfig_t:s0 tcontext=root:object_r:spacewalk_monitoring_var_lib_t:s0 tclass=file
/var/log/audit/audit.log:type=AVC msg=audit(1236275386.574:6041): avc:  denied  { search } for  pid=939 comm="kernel.pl" name="yp" dev=dm-0 ino=1504428 scontext=root:system_r:spacewalk_monitoring_t:s0 tcontext=system_u:object_r:var_yp_t:s0 tclass=dir



[root@grandprix audit]# ps -ef | grep 940
root     15476 14611  0 13:43 pts/0    00:00:00 grep 940
[root@grandprix audit]# 


recreate..
run monitoring automation, check audit.log

manual..
probes listed here..

Probe(s) assigned to system have an UNKNOWN status    Apache: Processes   
Cannot find Max Child and Slot MB metrics at URL
http://10.10.76.146%20%20%20%20:80/server-status   Suite
Probe(s) assigned to system have an UNKNOWN status  Linux: Load  The RHN
Monitoring Daemon (RHNMD) is not responding: Internal problem executing 

Unix::Load: open3: exec of /usr/bin/ssh -l nocpulse -p 4545 -i
/var/lib/nocpulse/.ssh/nocpulse-identity -o StrictHostKeyChecking=no -o
BatchMode=yes 10.10.76.146 /bin/sh -s failed. Please make sure the daemon is
running and the host is accessible from the monitoring scout. Command was:
/usr/bin/ssh -l nocpulse -p 4545 -i /var/lib/nocpulse/.ssh/nocpulse-identity -o
StrictHostKeyChecking=no -o BatchMode=yes 10.10.76.146 /bin/sh -s Suite
Probe(s) assigned to system have an UNKNOWN status 

 Linux: Memory Usage  The RHN Monitoring Daemon (RHNMD) is not responding:
Internal problem executing Unix::MemoryFree: open3: exec of /usr/bin/ssh -l
nocpulse -p 4545 -i /var/lib/nocpulse/.ssh/nocpulse-identity -o
StrictHostKeyChecking=no -o BatchMode=yes 10.10.76.146 /bin/sh -s failed.
Please make sure the daemon is running and the host is accessible from the
monitoring scout. Command was: /usr/bin/ssh -l nocpulse -p 4545 -i
/var/lib/nocpulse/.ssh/nocpulse-identity -o StrictHostKeyChecking=no -o
BatchMode=yes 10.10.76.146 /bin/sh -s  Suite
Probe(s) assigned to system have an UNKNOWN status 

 Linux: Virtual Memory  The RHN Monitoring Daemon (RHNMD) is not responding:
Internal problem executing Unix::VirtualMemory: open3: exec of /usr/bin/ssh -l
nocpulse -p 4545 -i /var/lib/nocpulse/.ssh/nocpulse-identity -o
StrictHostKeyChecking=no -o BatchMode=yes 10.10.76.146 /bin/sh -s failed.
Please make sure the daemon is running and the host is accessible from the
monitoring scout. Command was: /usr/bin/ssh -l nocpulse -p 4545 -i
/var/lib/nocpulse/.ssh/nocpulse-identity -o StrictHostKeyChecking=no -o
BatchMode=yes 10.10.76.146 /bin/sh -s  Suite
Probe(s) assigned to system have an UNKNOWN status 

 Network Services: Ping
Comment 1 Jan Pazdziora 2009-04-09 10:40:01 EDT
The AVC denial messages seem NIS-related, so very similar to bug 487221. Moving to ON_QA as spacewalk-monitoring-selinux-0.5.6-1 which added the nis_use_ypbind_uncond is available in Satellite-5.3.0-RHEL5-re20090327.0 compose.
Comment 2 wes hayutin 2009-04-15 16:48:13 EDT
verified
Comment 3 Milan Zazrivec 2009-09-09 09:19:53 EDT
This one needs to be retested after bug #487221 is fixed.
Comment 4 Brandon Perkins 2009-09-09 10:11:01 EDT
Reopening and punting to sat600-triage for re-evaluation.

Note You need to log in before you can comment on or make changes to this bug.